OpenMPI 0.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Fields
bufferevent_private Struct Reference

Parts of the bufferevent structure that are shared among all bufferevent types, but not exposed in bufferevent_struct.h. More...

`#include <bufferevent-internal.h>`

## Data Fields
struct bufferevent | bev
| The underlying bufferevent structure. More...
struct evbuffer_cb_entry * | read_watermarks_cb
| Evbuffer callback to enforce watermarks on input. More...
unsigned | own_lock: 1
| If set, we should free the lock when we free the bufferevent. More...
unsigned | readcb_pending: 1
| Flag: set if we have deferred callbacks and a read callback is pending. More...
unsigned | writecb_pending: 1
| Flag: set if we have deferred callbacks and a write callback is pending. More...
unsigned | connecting: 1
| Flag: set if we are currently busy connecting. More...
unsigned | connection_refused: 1
| Flag: set if a connect failed prematurely; this is a hack for getting around the bufferevent abstraction. More...
short | eventcb_pending
| Set to the events pending if we have deferred callbacks and an events callback is pending. More...
bufferevent_suspend_flags | read_suspended
| If set, read is suspended until one or more conditions are over. More...
bufferevent_suspend_flags | write_suspended
| If set, writing is suspended until one or more conditions are over. More...
int | errno_pending
| Set to the current socket errno if we have deferred callbacks and an events callback is pending. More...
int | dns_error
| The DNS error code for bufferevent_socket_connect_hostname.
struct deferred_cb | deferred
| Used to implement deferred callbacks.
enum bufferevent_options | options
| The options this bufferevent was constructed with.
int | refcnt
| Current reference count for this bufferevent. More...
void * | lock
| Lock for this bufferevent. More...
struct bufferevent_rate_limit * | rate_limiting
| Rate-limiting information for this bufferevent.

## Detailed Description

Parts of the bufferevent structure that are shared among all bufferevent types, but not exposed in bufferevent_struct.h.

## Field Documentation

struct bufferevent bufferevent_private::bev

The underlying bufferevent structure.

Referenced by bufferevent_enable(), bufferevent_setwatermark(), and bufferevent_socket_new().

unsigned bufferevent_private::connecting

Flag: set if we are currently busy connecting.

Referenced by bufferevent_socket_connect().

unsigned bufferevent_private::connection_refused

Flag: set if a connect failed prematurely; this is a hack for getting around the bufferevent abstraction.

Referenced by bufferevent_socket_connect().

int bufferevent_private::errno_pending

Set to the current socket errno if we have deferred callbacks and an events callback is pending.

short bufferevent_private::eventcb_pending

Set to the events pending if we have deferred callbacks and an events callback is pending.

void* bufferevent_private::lock

Lock for this bufferevent.

Shared by the inbuf and the outbuf. If NULL, locking is disabled.

Referenced by bufferevent_pair_new().

unsigned bufferevent_private::own_lock

If set, we should free the lock when we free the bufferevent.

bufferevent_suspend_flags bufferevent_private::read_suspended

If set, read is suspended until one or more conditions are over.

The actual value here is a bitfield of those conditions; see the BEV_SUSPEND_* flags above.

Referenced by bufferevent_enable().

struct evbuffer_cb_entry* bufferevent_private::read_watermarks_cb

Evbuffer callback to enforce watermarks on input.

Referenced by bufferevent_setwatermark().

unsigned bufferevent_private::readcb_pending

Flag: set if we have deferred callbacks and a read callback is pending.

int bufferevent_private::refcnt

Current reference count for this bufferevent.

bufferevent_suspend_flags bufferevent_private::write_suspended

If set, writing is suspended until one or more conditions are over.

The actual value here is a bitfield of those conditions; see the BEV_SUSPEND_* flags above.

Referenced by bufferevent_enable().

unsigned bufferevent_private::writecb_pending

Flag: set if we have deferred callbacks and a write callback is pending.

The documentation for this struct was generated from the following file:

- opal/mca/event/libevent2013/libevent/bufferevent-internal.h